<?php
session_start();
include_once '../conexao/index.php';
date_default_timezone_set('Africa/Maputo');
$data_hora = date("Y-m-d H:i:s");

/*Variaveis do Sistema*/
/*********************************************/
$_SESSION['idUsuario'] = $_SESSION['idUsuario'];
$_SESSION['nomeUsuario'] = $_SESSION['nomeUsuario'];
$_SESSION['categoriaUsuario'] = $_SESSION['categoriaUsuario']; 

$userID = $_SESSION['idUsuario'];
$userNOME = $_SESSION['nomeUsuario'];
$userCATE = $_SESSION['categoriaUsuario'];
/*********************************************/

$cliente = $_POST['cliente'];
$fact = $_POST['fact'];
$val = $_POST['val'];
$modo = $_POST['modo'];

$sql = "SELECT nota_credito FROM factura WHERE id = '$fact'";
$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
if (mysqli_num_rows($rs) > 0) {
	$dados = mysqli_fetch_array($rs);
	$nota = $dados['nota_credito'];
	if ($nota > 0) {
		echo 0;
	}else{
		$sql = "SELECT MAX(ano_fiscal) as serie FROM serie_factura";
$rs = mysqli_query($db, $sql) or die(mysqli_error($db));
if (mysqli_num_rows($rs) > 0) {
	$dados = mysqli_fetch_array($rs);
	$serie = $dados['serie'];
}

$sql3 = "INSERT INTO `recibo`(`descricao`, `valor`, `modo`, `factura`, `serie`, `cliente`, `user`) VALUES('$data_hora', '$val', '$modo', '$fact', '$serie', '$cliente', '$userID')";
$rs3 = mysqli_query($db, $sql3) or die(mysqli_error($db));
if ($rs3 > 0) {
	$sql5 = "SELECT MAX(id) as id_rc FROM recibo WHERE user = '$userID' AND cliente = '$cliente'";
	$rs5 = mysqli_query($db, $sql5) or die(mysqli_error($db));
	if (mysqli_num_rows($rs5) > 0) {
		$dados5 = mysqli_fetch_array($rs5);
		$id_rc = $dados5['id_rc'];
	}

	$sql10 = "UPDATE `clientes` SET `qtd_recibo` = qtd_recibo + 1 WHERE `id` = '$cliente'";
	$rs10 = mysqli_query($db, $sql10) or die(mysqli_error($db));

	$sql11 = "UPDATE `factura` SET `recibo` = '$id_rc' WHERE `id` = '$fact'";
	$rs11 = mysqli_query($db, $sql11) or die(mysqli_error($db));
	if ($rs11 > 0) {
		echo $id_rc;
	}
}
	}
}



